.\" Copyright (c) 1986, 1987, University of Utah
.TH FLOAT_TO_EXP 3 "November 10, 1987" 3
.UC 4 
.SH NAME
.HP
float_to_exp \- Convert floating point values into "exponential" pixels.
.SH SYNOPSIS
.B
#include <rle.h>
.sp
.B
float_to_exp( count, floats, pixels )
.br
.B
int count;
.br
.B
float * floats;
.br
.B
rle_pixel * pixels;
.SH DESCRIPTION
The function
.I float_to_exp
converts 
.I count
floating point numbers (pointed to by 
.IR floats ) 
into 
.I count+1 
bytes (pointed to by 
.I pixels) 
using an "exponential" format.
This format generates 
.I count
pixels as eight bit "mantissa" values, and another byte containing a
common exponent for all of the data values.  This format has a wider
dynamic range of values with little extra overhead.  The inverse
mapping is
.nf
	float expnt, flt_val;
	rle_pixel exponent, val;
	expnt = ldexp( 1/256.0, (int)exponent - 127 );
	flt_val = (float)val * expnt;
.fi

Files containing exponential data may be converted into displayable images
using the
.IR unexp (1)
command.  
.I Unexp
should be used before using any tools that perform arithmetic
on pixel values, or displaying the image.
.I Unexp
expects files containing exponential data to have an "exponential_data"
picture comment.
.SH SEE ALSO
.IR unexp (1),
.IR rle_putcom (3),
.IR librle (3),
.IR RLE (5).
.SH AUTHOR
John W. Peterson, based on code by Spencer Thomas.
.br
University of Utah
